<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Donation</title>
    <meta name="viewport" content="width=device-width, inital-scale=1.0">
  </head>

  <style>
      *{
          margin:0;
          padding:0;
          box-sizing: border-box;
          font-family: 'Poppins', sans-serif;
      }

      body{
          display: flex;
          height: 100vh;
          justify-content: center;
          align-items: center;
          background-color: pink;
      }

      .container{
          max-width: 700px;
          width: 100%;
          background-color: lightpink;
          padding: 25px 30px;
          border-radius: 5px;
      }

      .container .title{
          font-size: 25px;
          font-weight: 500;
          position: relative;
      }

      .container .title::before{
          content: '';
          position: absolute;
          left: 0;
          bottom: 0;
          height: 3px;
          width: 30px;
          background: lightpink;
      }

      .container form .user-details{
          display: flex;
          flex-wrap: wrap;
          justify-content: space-between;
          margin: 20px 0 12px 0;
      }

      form .user-details .input-box{
          margin-bottom: 15px;
          margin: 20px 0 12px 0;
          width: calc(100%/2-20px);
      }
      
      .user-details .input-box .details{
          display: block;
          font-weight: 500;
          margin-bottom: 5px;
      }
      .user-details .input-box input{
          height: 45px;
          width: 100%;
          outline: none;
          border-radius: 5px;
          padding-left: 15px;
          border: 1px solid #ccc;
          font-size: 16px;
          border-bottom-width: 2px;
          transition: all 0.3s ease;
      }

      .user-details .input-box input::focus,
      .user-details .input-box input::valid{
          border-color: lightskyblue;
      }

      form .option-details .option-title{
          font-size: 20px;
          font-weight: 500;
      }

      form .option-details .category{
          display: flex;
          width: 80%;
          justify-content: space-between;
          margin: 14px 0;
      }

      .option-details .category label{
          display: flex;
          align-items: center;
      }

      .option-details .category .dot{
          height: 18px;
          width: 18px;
          background:lightskyblue;
          border-radius: 50%;
          margin-right: 10px;
          border: 5px solid transparent;
          transition: all 0.3s ease;
      }

      #dot-1:checked ~ .category .one,
      #dot-1:checked ~ .category .two,
      #dot-1:checked ~ .category .three{
          border-color: #d9d9d9;
          background: #9b59b6;
      }

      form input[type="radio"]{
          display: none;
      }

      form .button{
          height: 45px;
          margin: 45px 0;
      }

      form .button input{
          height: 100%;
          width: 100%;
          outline: none;
          border: none;
          font-size: 18px;
          font-weight: 500;
          letter-spacing: 1px;
          color: lightskyblue;
      }


  </style>

  <body>
      <div class="container">
          <div class="title">Registration</div>
          <form action="#">
              <div class="user-details">
                  <div class="input-box">
                      <span class="details">Nama</span>
                      <input type="text" placeholder="Masukkan nama atau anonym" required>
                  </div>
                  <div class="input-box">
                      <span class="details">Bank</span>
                      <input type="text" placeholder="Masukkan nama Bank" required>
                  </div>
                  <div class="input-box">
                      <span class="details">Nomor Rekening</span>
                      <input type="text" placeholder="Masukkan nomor rekening" required>
                  </div>
                  <div class="option-details">
                      <input type="radio" name="option" id="dot-1">
                      <input type="radio" name="option" id="dot-2">
                      <input type="radio" name="option" id="dot-3">
                      <span class="option-title">Tujuan Donasi</span>
                      <div class="category">
                          <label for="dot-1">
                              <span class="dot one"></span>
                              <span class="option">Isolasi Mandiri</span>
                          </label>
                          <label for="dot-2">
                              <span class="dot two"></span>
                              <span class="option">Bantuan Dana</span>
                          </label>
                          <label for="dot-3">
                              <span class="dot three"></span>
                              <span class="option">Penanganan Medis</span>
                          </label>
                      </div>
                  </div>
              </div>
              <div class="button">
                  <input type="submit" value="Submit">
              </div>
          </form>
      </div>
    
  </body>
</html>
